Bug 136014 - joystick MS sidewinder gamepad module not loaded
joystick MS sidewinder gamepad module not loaded
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-16 15:58 EDT by John Mizell
Modified: 2015-01-04 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:36:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from lsusb (395 bytes, text/plain)
2004-10-17 16:33 EDT, John Mizell
no flags Details

  None (edit)
Description John Mizell 2004-10-16 15:58:04 EDT
Description of problem:
joystick MS sidewinder gamepad module not loaded when plugged in.
This is an usb device.

Version-Release number of selected component (if applicable):
hal-0.4.0-3


How reproducible:
All the time

Steps to Reproduce:
1. Plug Sidewinder joystick into usb port
2.
3.
  
Actual results:
When plugged in dmesg shows:
usb 3-1: new low speed USB device using address 2
drivers/usb/input/hid-core.c: ctrl urb status -32 received
input: USB HID v1.00 Gamepad [Microsoft Microsoft SideWinder Plug &
Play Game Pad] on usb-0000:00:1d.1-1

Modules that are loaded at that time:

Module                  Size  Used by
vfat                   12097  2
fat                    38753  1 vfat
parport_pc             21633  0
lp                      9133  0
parport                35337  2 parport_pc,lp
autofs4                20293  0
i2c_dev                 8257  0
i2c_core               17217  1 i2c_dev
sunrpc                140325  1
ndiswrapper            94488  0
button                  4817  0
battery                 6981  0
asus_acpi               9169  0
ac                      3397  0
md5                     3649  1
ipv6                  207457  8
joydev                  7041  0
sd_mod                 13889  3
usb_storage            57225  2
scsi_mod              104209  2 sd_mod,usb_storage
ohci1394               31321  0
ieee1394              283541  1 ohci1394
uhci_hcd               28121  0
ehci_hcd               27973  0
emu10k1_gp              2497  0
gameport                3777  1 emu10k1_gp
snd_emu10k1            87241  2
snd_rawmidi            21733  1 snd_emu10k1
snd_pcm_oss            42361  0
snd_mixer_oss          14529  2 snd_pcm_oss
snd_pcm                84681  2 snd_emu10k1,snd_pcm_oss
snd_timer              25413  1 snd_pcm
snd_seq_device          6217  2 snd_emu10k1,snd_rawmidi
snd_ac97_codec         61329  1 snd_emu10k1
snd_page_alloc          6985  2 snd_emu10k1,snd_pcm
snd_util_mem            3393  1 snd_emu10k1
snd_hwdep               7109  1 snd_emu10k1
snd                    44709  11
snd_emu10k1,snd_rawmidi,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_seq_device,snd_ac97_codec,snd_hwdep
soundcore               7457  2 snd
dmfe                   18405  0
ext3                  104105  3
jbd                    66137  1 ext3
dm_mod                 46677  2

Expected results:
Modules that are loaded:

Module                  Size  Used by
sidewinder             10177  0
vfat                   12097  2
fat                    38753  1 vfat
parport_pc             21633  0
lp                      9133  0
parport                35337  2 parport_pc,lp
autofs4                20293  0
i2c_dev                 8257  0
i2c_core               17217  1 i2c_dev
sunrpc                140325  1
ndiswrapper            94488  0
button                  4817  0
battery                 6981  0
asus_acpi               9169  0
ac                      3397  0
md5                     3649  1
ipv6                  207457  8
joydev                  7041  0
sd_mod                 13889  3
usb_storage            57225  2
scsi_mod              104209  2 sd_mod,usb_storage
ohci1394               31321  0
ieee1394              283541  1 ohci1394
uhci_hcd               28121  0
ehci_hcd               27973  0
emu10k1_gp              2497  0
gameport                3777  2 sidewinder,emu10k1_gp
snd_emu10k1            87241  2
snd_rawmidi            21733  1 snd_emu10k1
snd_pcm_oss            42361  0
snd_mixer_oss          14529  2 snd_pcm_oss
snd_pcm                84681  2 snd_emu10k1,snd_pcm_oss
snd_timer              25413  1 snd_pcm
snd_seq_device          6217  2 snd_emu10k1,snd_rawmidi
snd_ac97_codec         61329  1 snd_emu10k1
snd_page_alloc          6985  2 snd_emu10k1,snd_pcm
snd_util_mem            3393  1 snd_emu10k1
snd_hwdep               7109  1 snd_emu10k1
snd                    44709  11
snd_emu10k1,snd_rawmidi,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_seq_device,snd_ac97_codec,snd_hwdep
soundcore               7457  2 snd
dmfe                   18405  0
ext3                  104105  3
jbd                    66137  1 ext3
dm_mod                 46677  2

dmesg output:
usb 3-1: new low speed USB device using address 2
drivers/usb/input/hid-core.c: ctrl urb status -32 received
input: USB HID v1.00 Gamepad [Microsoft Microsoft SideWinder Plug &
Play Game Pad] on usb-0000:00:1d.1-1
drivers/input/joystick/sidewinder.c: Init 0: Opened
pci0000:02:00.1/gameport0, io 0xc400, speed 1028
sidewinder.c: Read 0 triplets. []

Additional info:
modprobe sidewinder needs to be called after joystick is inserted into
 usb port.

Once the module is loaded and I can run jstest /dev/input/js0 and
everything works.
Comment 1 David Zeuthen 2004-10-16 16:15:01 EDT
the hotplug scripts should load that module - reassigning to hotplug
Comment 2 Bill Nottingham 2004-10-16 23:53:13 EDT
Did this work at any point previously?
Comment 3 John Mizell 2004-10-17 10:57:29 EDT
No, I have never seen fedora or even redhat linux ever load the module
after I plugged the device in.
Comment 4 John Mizell 2004-10-17 10:58:37 EDT
I am using hotplug-2004_04_01-6
Comment 5 Bill Nottingham 2004-10-17 15:41:32 EDT
Can you attach the output of lsusb?
Comment 6 John Mizell 2004-10-17 16:33:15 EDT
Created attachment 105354 [details]
output from lsusb
Comment 7 Bill Nottingham 2005-02-07 17:53:31 EST
I believe the kernel needs to assign the proper ids to the module.
Comment 8 Dave Jones 2006-10-16 13:25:03 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 Jon Stanley 2008-01-19 23:36:55 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.